Get Workspaces
curl --request GET \
--url https://api.studio.prisme.ai/v2/workspaces \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.prisme.ai/v2/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.studio.prisme.ai/v2/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"dirty": true,
"lastPush": {
"createdAt": "<string>",
"createdBy": "<string>",
"version": "<string>",
"repositoryId": "<string>"
}
}
]{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}Prisme.ai Workspaces
Get Workspaces
Fetch my workspaces (those I own and shared ones)
GET
/
v2
/
workspaces
Get Workspaces
curl --request GET \
--url https://api.studio.prisme.ai/v2/workspaces \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.prisme.ai/v2/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.studio.prisme.ai/v2/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"dirty": true,
"lastPush": {
"createdAt": "<string>",
"createdBy": "<string>",
"version": "<string>",
"repositoryId": "<string>"
}
}
]{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}Authorizations
BearerAuthOrgApiKeyAuthBearerAuth & OrgApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
Page size
Comma-separated labels list to filter on
Search by workspace name
Search by workspace slug
Some admin email to filter on
Sort by a specific field
Comma-separated ids
Search for workspace in name, description and slug
Filter only user owned workspaces
Filter only dirty workspaces (i.e not saved to a git repository)
Related topics
Get WorkspaceGet Workspace BundleGet Workspace ConfigGet Workspace LabelsGet Workspace SecretsWas this page helpful?